#!/bin/sh -ex
#
# Perform forced alignment on SPINE data
# This is just an example.
#
# 2000-08-02 dpwe@icsi.berkeley.edu
# $Header: $

ROOT=TRAIN_RAND

PFILE=$ROOT-plp12.pf
REF=$ROOT.ref
LABELS=$ROOT-plp12-bn.ilab
VALIDUTTS=$ROOT-valid.range

# To match pfile
I_STEPTIME=16
I_ZEROPAD=64
# Desired properties of output label file
O_STEPTIME=16
O_ZEROPAD=64

qnsfwd \
	ftr1_file=$PFILE \
	ftr1_width=13 \
	ftr1_ftr_count=13 \
	window_extent=9 \
	ftr1_norm_mode=utts \
	ftr1_window_len=9 \
	init_weight_file=boot-plp12N-16k-70h-aI5+117i+2000h+54o.wts \
	mlp3_input_size=117 \
	mlp3_hidden_size=2000 \
	mlp3_output_size=54 \
	log_file=qnsfwd-plp12N.log \
	cpu=host \
	activation_format=lna8 \
	mlp3_fx=0 \
| dr_align_efsg \
	activation_format=lna \
	utt_words_file=$REF \
	utt_words_file_type=ref \
	steptime=$I_STEPTIME \
	zeropad=$I_ZEROPAD \
	ftr_pfile=$PFILE \
	valid_utts=$VALIDUTTS \
	phi=CI54_BN98.align3.phi \
	dictionary=spine-bn-aI1.dict \
	ctm_file=- \
| labels2pfile \
	ctmfile=- \
	steptime=16 \
	windowtime=$O_STEPTIME \
	zeropad=$O_ZEROPAD \
	phoneset=cam54.phset \
	samplerate=16000 \
	force=1 \
	opformat=ilab \
	verbose=quiet \
	pfile=$LABELS
